STRUCT DRM_BRIDGE(9)

NAME
struct_drm_bridge - central DRM bridge control structure

SYNOPSIS

struct drm_bridge {
  struct drm_device * dev;
  struct list_head head;
  struct drm_mode_object base;
  const struct drm_bridge_funcs * funcs;
  void * driver_private;
};

MEMBERS

dev
    DRM device this bridge belongs to

head
    list management

base
    base mode object

funcs
    control functions

driver_private
    pointer to the bridge driver's internal context

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT